:root {
    --header-height: 90px;
    --mobile-header-height: 160px;
    --theme-color: rgb(255 0 0);
    --theme-color-hover: #c82333;
    --theme-color-active: #b31d28;
    --theme-color-active-hover: #a21622;

    --text-light: #fff;
    --text-dark: #000;

    --body-bg-light: #fff;

    --bg-dark: #000;
    --bg-light: rgb(247, 247, 247);

    --border-color: rgba(0, 0, 0, 0.1);
    --text-muted: #6c757d;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* outline: 0.5px dashed red; */
}

html {
    overflow-y: scroll;
}

p{
    font-family: "Cabin", "Cabin Placeholder", sans-serif
}

.current-menu-item > a {
    color: var(--theme-color) !important;
}

.ss-cta{
    display: none;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'General Sans', sans-serif;
    font-size: 18px;
    line-height: 1.6;
    color: var(--text-dark);
    background: var(--body-bg-light);
    padding-top: var(--header-height);
}

body.home{
    padding-top:0px;
}

.site-header .container {
    display: flex;
    align-items:center;
    justify-content:space-between;
    height:var(--header-height)
}

body:not(.home) {
    padding-top: var(--header-height);
}

body:not(.home) header {
    background: var(--body-bg-light);
}

body:not(.home) header > div > a {
    color: var(--text-dark);
    border-bottom: 2px solid var(--text-dark);
}

body.home header {
    background: transparent;
    display:flex;    
}

body.home header.scrolled {
    background: var(--body-bg-light) ;
    transition: background 0.5s ease;
}

body.home header {
    background: transparent;
    display:flex;    
}

header {
    position: fixed;
    top: 0;
    width: 100%;
    height: var(--header-height);
    z-index: 1000;
    transition: transform 0.4s ease, opacity 0.3s ease, box-shadow 0.3s ease;
    will-change: transform, opacity;
}

header.hide-header {
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
}

header.scrolled > div > a {
    color: var(--text-dark);
    border-bottom: 2px solid var(--text-dark);
}

.site-header {
    width: 100%;
    background-color: var(--bg-light);
    z-index: 1000;
}

.site-logo > div > a > img {
    height: 60px;
    width: auto;
}

.site-logo {
    position: relative;
    display: inline-block;
}

/* Logos overlap for crossfade */
.logo-default,
.logo-dark {
    transition: opacity 0.3s ease;
    display: block;
}

.logo-dark {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}

/* When header is scrolled */
header.scrolled .logo-default {
    opacity: 0;
}

header.scrolled .logo-dark {
    opacity: 1;
}

body:not(.home) .logo-default{
    opacity: 0;
}

body:not(.home) .logo-dark{
    opacity: 1;
}

.hero-title-part{
    color: var(--theme-color);
}

.main-nav {
    background: var(--bg-dark);
    padding: 15px 50px;
    border-radius: 30px;
}

.main-nav ul {
    list-style: none;
    display: flex;
    gap: 70px;
}

.main-nav ul li a {
    text-decoration: none;
    color: var(--text-light);
    font-weight: 500;
    font-size: 16px;
    transition: 0.3s ease;
}

.main-nav ul li a:hover {
    color: var(--theme-color);
}


.ls-cta {
    color: var(--text-light);
    padding: 5px 2px;
    text-decoration: none;
    font-weight: 600;
    transition: 0.3s ease;
    border-bottom: 2px solid var(--text-light);
}

.ls-cta:hover {
    color: var(--theme-color) !important;
    border-color: var(--theme-color) !important;
}

.ls-cta.active {
    color: var(--theme-color-active) !important;
    border-color: var(--theme-color-active) !important;
}

.fw-bg-hero {
    padding-top:180px;
    background-repeat: no-repeat;
    min-height: 100vh;
    background-size: cover;
    padding-bottom: 50px;
}

.menu-toggle {
    display: none;
    flex-direction: column;
    gap: 5px;
    background: none;
    border: none;
    cursor: pointer;
}

.menu-toggle span {
    width: 25px;
    height: 3px;
    background: var(--bg-dark);
}

.homepage-wrapper > div > section.hero > div > h1,
.homepage-wrapper > div > section.hero > div > h2,
.homepage-wrapper > div > section.hero > div > p{
    max-width: 85%;
    margin: auto;
}

img.cover {
    width: 100%;
    height: auto;
    object-fit: cover;
    display: block;
    border-radius: 40px;
}

.aspect-4-3 {
    width: 100%;
    aspect-ratio: 4 / 3;
    overflow: hidden;
}

.icon-card{
    border: 1px solid var(--border-color);
    padding: 30px;
    border-radius: 40px;
}

.icon-circle {
    width: 50px;
    height: 50px;
    border: 1px solid var(--border-color);
    border-radius: 50%;
    display: flex !important;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}


.vertical-divider{
    display: block;
    height: 200px;
    width: 2px;
    margin: auto;
}

.milestone-card{
    padding: 20px;
    background-color: rgba(2, 4, 10, 0.51);
    border-radius: 15px;
    transition: transform 0.45s cubic-bezier(0.22, 1, 0.36, 1), box-shadow 0.45s ease;
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
}

.milestone-card:hover{
    transform:translateY(-10px);
    box-shadow: 0 15px 35px rbga(0 0 0 0.15)
}


.global-presence-section{
    width: 95%;
    margin: auto;
}

.countries-list {
    display: flex;
    flex-wrap: wrap;
    gap: 50px;
    justify-content: center;
    align-items: center;
}

.country {
    display: flex;
    align-items: center;
    gap: 10px;
}

.country-icon-wrapper{
    height: 50px;
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.1);
}

.country-icon {
    font-size: 30px !important;
    display: inline-block !important;
    line-height: 01 !important;
    transform: scale(1.7);
    transform-origin: left;
    margin-left: -10px;
}

.country-name {
    margin:0px;
}

.footer-logo > a > img {
    height: 90px;
    width: auto;
}

.footer-menu {
    list-style: none;          
    padding: 0;
    margin: 0;

    display: flex;
    justify-content: center;   
    align-items: center;
    gap: 30px;                 
}

.footer-menu li {
    margin: 0;                 
}

.footer-menu li a {
    text-decoration: none;
    color: var(--text-light);
    transition: color 0.3s ease;
}

footer > div > div > p{
    color: var(--text-light) !important;
}

.footer-menu li a:hover {
    color: var(--theme-color);
}

.footer-nav {
    padding: 20px 0;
}

.footer-copyright{
    opacity: 1;
    border-top: 1px solid rgba(240, 253, 255, 0.27);
    padding-top: 30px;
}

.site-footer > div {
    border-radius: 40px 40px 0px 0px;
    padding: 40px !important;
}


.swiper-slide {
    height: 300px;
    overflow: hidden;
    border-radius:40px;
    border: 1px solid var(--border-color)
}

.swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}


.stack-section {
    position: relative;
}

.left-text-wrapper {
    position: sticky;
    top: 20px;
    
}

.stacked-cards {
    position: sticky;
    top: 20px;
}

.btn-dark:hover{
    background: var(--theme-color);
}

.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"],
.wpcf7 textarea {
    width: 100%;
    padding: 14px 18px;
    font-size: 16px;
    border: 1px solid var(--border-color);
    border-radius: 10px;
    background-color: var(--bg-light);
    transition: all 0.3s ease;
    box-sizing: border-box;
}

.wpcf7 textarea {
    min-height: 140px;
    resize: vertical;
}
.wpcf7 input[type="text"]:focus,
.wpcf7 input[type="email"]:focus,
.wpcf7 input[type="tel"]:focus,
.wpcf7 textarea:focus {
    background-color: var(--bg-light);
    border-color: var(--theme-color);
    outline: none;
    box-shadow: 0 0 0 3px rgba(var(--theme-color),0.1);
}

.wpcf7 input::placeholder,
.wpcf7 textarea::placeholder {
    color: var(--text-muted);
    font-size: 14px;
}

.wpcf7{
    border: 1px solid var(--border-color);
    padding: 40px;
    box-shadow: 5px 5px 10px 5px var(--border-color);
    border-radius: 15px;
}

.wpcf7-submit{
    padding: 15px 30px;
    border-radius: 30px;
    background: var(--bg-dark);
    color: var(--text-light);
    font-weight: 600;
    font-size: 16px;
    border: none;
    cursor: pointer;
    transition: all 0.3s ease;
}

.wpcf7-submit:hover{
    background:var(--theme-color);
}

.card-bordered{
    border: 1px solid var(--border-color);
    border-radius: 40px;
}

.card-bordered > .card-content{
    padding: 0px 32px;
}


@media (max-width: 992px) {

    .main-nav ul {
        display: none;
    }

    .ls-cta {
        display: none !important;
    }

    .menu-toggle {
        display: flex;
        z-index: 1001;
    }

    body.home .menu-toggle span{
        background: var(--bg-light)
    }

    .main-nav {
        display:none;
        order:3;
        width: 100%;
        background: none;
        overflow: hidden;
        max-height: 0;
        transition: background 0.4s ease;
    }

    .main-nav.active {
        position:absolute;
        top: var(--header-height);
        left:0;
        margin:auto;
        max-height: 1000px;
        background: var(--body-bg-light);
        display: block;
        border-radius:0px 0px 50px 50px;
    }

    .main-nav .menu {
        display:flex;
        flex-direction: column;
        padding: 10px;
        gap: 30px;
    }

    .main-nav > ul{
        padding:0px !important;
    }

    .main-nav ul li a {
        color: var(--text-dark);
        transition: color 0.3s ease;
    }

    header.scrolled > div > a {
        color: var(--text-light);
    }

    header{
        align-content:center;
    }

    header:not(.scrolled) .main-nav.active {
        border-radius:50px;
        padding-top: 40px;
        opacity: 1;
    }

    body.home header.scrolled .menu-toggle span{
        background: var(--bg-dark)
    }

    .ss-cta{
        display:block;
        margin: 30px 0px;
        text-decoration: none;
        color:var(--text-dark)        
    }

    .site-header .container{
        display:flex;
        flex-wrap:wrap;
    }

    .site-header {
        position: fixed;
        top: 20px;
        left: 50%;
        transform: translateX(-50%);
        width: 90%;
        border-radius: 50px;
    }

    .site-header:has(.main-nav.active) {
        border-radius:50px 50px 0px 0px;
    }

    .homepage-wrapper div section div h1,h2,p{
        max-width: 100%;
    }

    .footer-nav > ul > li {
        display: block;
        margin-bottom:15px
    }

    .footer-nav > ul {
        display: block;
    }
    
}